Subject: Re: b17 on the horizon?
From: [email-masked] (Carl J R Johansson)

2 Nov 1996 03:47:50 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: [email-masked]
Original-To: Geoffrey Noer <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 1 Nov 1996, Geoffrey Noer wrote:

> 
> Cygwin32 API changes:
> 
> Scott Christley's headers and def files for the standard Win32 dlls
> have been integrated.  Anything present only in the previous Cygnus headers
> has been added in the appropriate places.  This should make Win32
> programming much easier.
> 
I found a slight error in them; the ASCII version of GetEnvironmentStrings 
is defined in functions.h as '#define GetEnvironmentStringsA 
GetEnvironmentStrings' and it's declared in functions.h, in contrast to 
the Unicode version. When I '#define UNICODE' I get the compiler complaint. 
(Reversing the define and moving the declaration to ASCIIfunctions.h (+A)
fixed it.) I only thought I should point this out so that the list 
doesn't have to get unnecessary complaints about it after b17.

They also seem to be lacking at least the LZExpand functions, but
maybe they will be included in some later release? (In addition to
what is already on the list.)

cj

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".